QCAMCONTROL(1)

NAME
qcamcontrol - Connectix QuickCam control utility

SYNOPSIS
qcamcontrol [-b brightness] [-c contrast] [-d depth] [-p device] [-w whitebalance] [-x xsize] [-y ysize] [-z zoom]

DESCRIPTION
qcamcontrol is a program to demonstrate control over the Connectix QuickCam(TM) parallel port camera and to take a single frame picture.

If the device not specified, "/dev/qcam0" is assumed. If no command is given, then qcamcontrol will use its defaults to grab a single frame from the camera. The control program will output a portable pixmap (ppm) file to stdout.

The following options are available:

-b brightness
    control the brightness of the picture (0..255)

-c contrast
    control the contrast of the picture (0..255)

-d depth
    16 or 64 shades of gray (specified as 4 or 6 bits per pixel)

-p device
    quickcam device (port) (default is /dev/qcam0)

-w whitebalance
    amount of white in the picture (0..255)

-x xsize
    width of image (320 or less)

-y ysize
    height of image (240 or less)

-z zoom
    zoom in (1, 1.5x, or 2x)

BUGS
qcamcontrol does not enforce a proper aspect ratio for x y sizes. In practice, standard picture sizes are 320x240 and 180x160 and all smaller sizes that maintain a similar aspect ratio. Also, the camera is notoriously finicky until you get just the right combination of white-balance, contrast, and brightness. Improper values will return all-black or all-white pictures.

FILES
/dev/qcam0

AUTHOR
Paul Traina

HISTORY
The qcamcontrol command appeared in FreeBSD 2.1.5.